- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
BlisBranchStrategyPseudo Class Reference

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable. More...

`#include <BlisBranchStrategyPseudo.h>`

Inheritance diagram for BlisBranchStrategyPseudo:
[legend]
Collaboration diagram for BlisBranchStrategyPseudo:
[legend]

## Public Member Functions
| BlisBranchStrategyPseudo ()
| Default Constructor. More...
| BlisBranchStrategyPseudo (BlisModel *model, int rel)
| Useful Constructor. More...
virtual | ~BlisBranchStrategyPseudo ()
| Destructor. More...
| BlisBranchStrategyPseudo (const BlisBranchStrategyPseudo &)
| Copy constructor. More...
void | setRelibility (int rel)
| Set relibility. More...
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy. More...
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar. More...
int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects. More...
| BlisBranchStrategyPseudo ()
| Default Constructor. More...
| BlisBranchStrategyPseudo (BlisModel *model, int rel)
| Useful Constructor. More...
virtual | ~BlisBranchStrategyPseudo ()
| Destructor. More...
| BlisBranchStrategyPseudo (const BlisBranchStrategyPseudo &)
| Copy constructor. More...
void | setRelibility (int rel)
| Set relibility. More...
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy. More...
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar. More...
int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects. More...
Public Member Functions inherited from BcpsBranchStrategy
| BcpsBranchStrategy ()
| Default Constructor. More...
| BcpsBranchStrategy (BcpsModel *m)
| Useful Constructor. More...
virtual | ~BcpsBranchStrategy ()
| Destructor. More...
int | getType ()
| Get type. More...
void | setType (int t)
| Set type. More...
void | setModel (BcpsModel *m)
| Set model. More...
virtual void | clearBest (BcpsModel *model)
| Clear branching strategy environment before starting a new round of selecting the best branch object. More...
virtual BcpsBranchObject * | bestBranchObject ()
| Compare branching objects in branchObjects_. More...
int | getNumBranchObjects ()
| Set/get branching objects. More...
void | getNumBranchObjects (int num)
| Set/get branching objects. More...
BcpsBranchObject ** | getBranchObjects ()
| Set/get branching objects. More...
void | setBranchObjects (BcpsBranchObject **obj)
| Set/get branching objects. More...
BcpsBranchObject * | getBestBranchObject ()
| Set/get branching objects. More...
void | setBestBranchObject (BcpsBranchObject *ob)
| Set/get branching objects. More...

## Private Member Functions
BlisBranchStrategyPseudo & | operator= (const BlisBranchStrategyPseudo &rhs)
| Illegal Assignment operator. More...
BlisBranchStrategyPseudo & | operator= (const BlisBranchStrategyPseudo &rhs)
| Illegal Assignment operator. More...

## Private Attributes
int | relibility_

## Additional Inherited Members
Protected Attributes inherited from BcpsBranchStrategy
int | type_
| Type of branching strategy. More...
BcpsModel * | model_
| Pointer to model. More...
int | numBranchObjects_
| Following members are used to store candidate branching objects. More...
BcpsBranchObject ** | branchObjects_
| The set of candiate branching objects. More...
BcpsBranchObject * | bestBranchObject_
| Following members are used to store information about best branching object found so far. More...
double | bestChangeUp_
| Change up for best. More...
int | bestNumberUp_
| Number of infeasibilities for up. More...
double | bestChangeDown_
| Change down for best. More...
int | bestNumberDown_
| Number of infeasibilities for down. More...

## Detailed Description

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable.

Blis branching strategy.

This class implements pseudocost branching.

Definition at line 41 of file BlisBranchStrategyPseudo.h.

## Constructor & Destructor Documentation

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( |  | ) |
| inline

Default Constructor.

Definition at line 52 of file BlisBranchStrategyPseudo.h.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | BlisModel * | model,
|  | int | rel
| ) |  |
| inline

Useful Constructor.

Definition at line 55 of file BlisBranchStrategyPseudo.h.

virtual BlisBranchStrategyPseudo::~BlisBranchStrategyPseudo | ( |  | ) |
| inline virtual

Destructor.

Definition at line 62 of file BlisBranchStrategyPseudo.h.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | const BlisBranchStrategyPseudo & |  | ) |

Copy constructor.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( |  | ) |
| inline

Default Constructor.

Definition at line 51 of file BlisBranchStrategyPseudo.h.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | BlisModel * | model,
|  | int | rel
| ) |  |
| inline

Useful Constructor.

Definition at line 57 of file BlisBranchStrategyPseudo.h.

virtual BlisBranchStrategyPseudo::~BlisBranchStrategyPseudo | ( |  | ) |
| inline virtual

Destructor.

Definition at line 64 of file BlisBranchStrategyPseudo.h.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | const BlisBranchStrategyPseudo & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyPseudo& BlisBranchStrategyPseudo::operator= | ( | const BlisBranchStrategyPseudo & | rhs | ) |
| private

Illegal Assignment operator.

void BlisBranchStrategyPseudo::setRelibility | ( | int | rel | ) |
| inline

Set relibility.

Definition at line 68 of file BlisBranchStrategyPseudo.h.

virtual BcpsBranchStrategy* BlisBranchStrategyPseudo::clone | ( |  | ) | const
| inline virtual

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 71 of file BlisBranchStrategyPseudo.h.

virtual int BlisBranchStrategyPseudo::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar
| ) |  |
| virtual

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyPseudo::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub
| ) |  |
| virtual

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

BlisBranchStrategyPseudo& BlisBranchStrategyPseudo::operator= | ( | const BlisBranchStrategyPseudo & | rhs | ) |
| private

Illegal Assignment operator.

void BlisBranchStrategyPseudo::setRelibility | ( | int | rel | ) |
| inline

Set relibility.

Definition at line 70 of file BlisBranchStrategyPseudo.h.

virtual BcpsBranchStrategy* BlisBranchStrategyPseudo::clone | ( |  | ) | const
| inline virtual

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 73 of file BlisBranchStrategyPseudo.h.

virtual int BlisBranchStrategyPseudo::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar
| ) |  |
| virtual

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyPseudo::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub
| ) |  |
| virtual

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

## Member Data Documentation

int BlisBranchStrategyPseudo::relibility_
| private

Definition at line 47 of file BlisBranchStrategyPseudo.h.

The documentation for this class was generated from the following files:

- /tmp/CHiPPS-Blis-0.94.3/Bcps/examples/Blis/BlisBranchStrategyPseudo.h
- /tmp/CHiPPS-Blis-0.94.3/Blis/src/BlisBranchStrategyPseudo.h